org.apache.hadoop.yarn.security.client

## Class TimelineAuthenticationConsts

- java.lang.Object
- - org.apache.hadoop.yarn.security.client.TimelineAuthenticationConsts

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class TimelineAuthenticationConsts
      extends Object

  The constants that are going to be used by the timeline Kerberos + delegation token authentication.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DELEGATION_PARAM`
    `static String` | `DELEGATION_TOKEN_EXPIRATION_TIME`
    `static String` | `DELEGATION_TOKEN_URL`
    `static String` | `ERROR_CLASSNAME_JSON`
    `static String` | `ERROR_EXCEPTION_JSON`
    `static String` | `ERROR_MESSAGE_JSON`
    `static String` | `OP_PARAM`
    `static String` | `RENEWER_PARAM`
    `static String` | `TOKEN_PARAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimelineAuthenticationConsts()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ERROR_EXCEPTION_JSON

          public static final String ERROR_EXCEPTION_JSON

      See Also:
        Constant Field Values

    - #### ERROR_CLASSNAME_JSON

          public static final String ERROR_CLASSNAME_JSON

      See Also:
        Constant Field Values

    - #### ERROR_MESSAGE_JSON

          public static final String ERROR_MESSAGE_JSON

      See Also:
        Constant Field Values

    - #### OP_PARAM

          public static final String OP_PARAM

      See Also:
        Constant Field Values

    - #### DELEGATION_PARAM

          public static final String DELEGATION_PARAM

      See Also:
        Constant Field Values

    - #### TOKEN_PARAM

          public static final String TOKEN_PARAM

      See Also:
        Constant Field Values

    - #### RENEWER_PARAM

          public static final String RENEWER_PARAM

      See Also:
        Constant Field Values

    - #### DELEGATION_TOKEN_URL

          public static final String DELEGATION_TOKEN_URL

      See Also:
        Constant Field Values

    - #### DELEGATION_TOKEN_EXPIRATION_TIME

          public static final String DELEGATION_TOKEN_EXPIRATION_TIME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TimelineAuthenticationConsts

          public TimelineAuthenticationConsts()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.